Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 24 Apr 2014, 06:53
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars )
1.0.2 to 1.0.3 upgrade problems: no sound modules
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [3 Posts]  
Author Message
c10237

Joined: 06 Jun 2005
Posts: 7

PostPosted: Fri 17 Jun 2005, 08:05    Post subject:  1.0.2 to 1.0.3 upgrade problems: no sound modules  

Good day to you guys and keep up the good work on Puppy.

1.0.2 is a good distribution. But im am having problems upgrading it to 1.0.3. Here's the shinny...
Upgrading from 1.2.0 to .3 was easy but when i tried to load the drivers for my sound card using modprobe, I noticed that the module.conf file is stil using the 2.6 kernel. It always says that the module.conf is much newer that the 2.4.27 modules.dep file on the /lib. I tried different steps in order to resolve it but it seems that the module.conf file was not updated from 2.6 to 2.4. I could not load my sound card anymore during that time that is why I reverted back to the .2 distro.

I hope that somebody would help me in shedding some light on the subject... I would love to go to .3.

Also how would I enable the swap space on the .2 distro? Laughing Very Happy
Back to top
View user's profile Send private message 
Ian
Official Dog Handler


Joined: 04 May 2005
Posts: 1237
Location: Queensland

PostPosted: Fri 17 Jun 2005, 20:18    Post subject:  

You might do better to just do a 1.0.3 clean install.

If you have a swap partition 1.0.2 will automatically switch swap on.
Back to top
View user's profile Send private message 
BarryK
Puppy Master


Joined: 09 May 2005
Posts: 7047
Location: Perth, Western Australia

PostPosted: Sat 18 Jun 2005, 05:18    Post subject: Re: 1.0.2 to 1.0.3 upgrade problems: no sound modules  

c10237 wrote:

Upgrading from 1.2.0 to .3 was easy but when i tried to load the drivers for my sound card using modprobe, I noticed that the module.conf file is stil using the 2.6 kernel. It always says that the module.conf is much newer that the 2.4.27 modules.dep file on the /lib. I tried different steps in order to resolve it but it seems that the module.conf file was not updated from 2.6 to 2.4. I could not load my sound card anymore during that time that is why I reverted back to the .2 distro.


This is not a problem.
The 2.6 kernel does not use module.conf at all.
If modules.conf is newer than modules.dep that is not a problem.

We need the details on your sound card, and what module previously worked.
Also, type "lsmod" command to see if a sound module is indeed loaded.
Also try "Start -> Control panel -> Hardware probe -> Modules".
Let us know the details.
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 1 of 1 [3 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars )
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0485s ][ Queries: 11 (0.0132s) ][ GZIP on ]